import * as React from 'react';

var _path, _path2, _g, _path3;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgLiberia = function SvgLiberia(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 64 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("mask", {
    id: "Liberia_svg__a",
    width: 62,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React.createElement("path", {
    fill: "#D9D9D9",
    stroke: "#000",
    d: "M8 1.5h48A6.5 6.5 0 0 1 62.5 8v32a6.5 6.5 0 0 1-6.5 6.5H8A6.5 6.5 0 0 1 1.5 40V8A6.5 6.5 0 0 1 8 1.5Z"
  }))), /*#__PURE__*/React.createElement("g", {
    mask: "url(#Liberia_svg__a)"
  }, /*#__PURE__*/React.createElement("mask", {
    id: "Liberia_svg__b",
    width: 63,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M1 1h62.003v46H1z"
  }))), _g || (_g = /*#__PURE__*/React.createElement("g", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    mask: "url(#Liberia_svg__b)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 1h69.74v46H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#006",
    d: "M1 1h21.134v20.916H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C00",
    d: "M1 42.769h69.74V47H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C00",
    d: "M1 42.813h69.74V47H1zm0-8.346h69.74v4.15H1zm0-8.374h69.568v4.196H1zM22.134 1h48.598v4.178H22.134zm0 16.71h48.598v4.206H22.134zm0-8.328h48.598v4.178H22.134z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "m16.104 16.948-4.605-2.786-4.577 2.812 1.698-4.573-4.568-2.82 5.658-.037 1.753-4.555 1.798 4.546h5.658l-4.55 2.848z"
  })))), _path3 || (_path3 = /*#__PURE__*/React.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M56 1H8a7 7 0 0 0-7 7v32a7 7 0 0 0 7 7h48a7 7 0 0 0 7-7V8a7 7 0 0 0-7-7M8 0a8 8 0 0 0-8 8v32a8 8 0 0 0 8 8h48a8 8 0 0 0 8-8V8a8 8 0 0 0-8-8z",
    clipRule: "evenodd"
  })));
};

export { SvgLiberia as ReactComponent };
